<?php get_header(); ?>
	
	<div id="content">
    
		<?php if(is_date()) { ///////////////// Archive page header ?>
        <div id="blog-header">
            <h1><?php 
            if ( is_day() ) : 
                echo __( 'Daily Archives:', 'satori' ); echo ' <span>'.get_the_date().'</span>';
            elseif ( is_month() ) : 
                echo __( 'Monthly Archives:', 'satori' ); echo ' <span>'.get_the_date('F Y').'</span>';
            elseif ( is_year() ) :
                echo __( 'Yearly Archives:', 'satori' ); echo ' <span>'.get_the_date('Y').'</span>';
            endif; ?>
            </h1>
        </div>
        <div class="clear"></div>
        <?php } ?>
        
        
        <?php if(is_author()) { /////////////////// Author page header 
        if(isset($_GET['author_name'])) :
            $curauth = get_userdatabylogin($author_name);
         else :
            $curauth = get_userdata(intval($author));
        endif; ?>
        <div id="blog-header">
            <h1><?php _e('Author:', 'satori'); ?> <?php echo $curauth->display_name; ?></h1>
        </div>
        <div class="clearleft"></div>
        <?php } ?>
        
        
        <?php if(is_tag()) { /////////////////// Tag page header  ?>
        <div id="blog-header">
            <h1><?php if ( function_exists( 'get_option_tree' ) && get_option_tree('hide_category') != "Yes" ) { echo __( 'Tag Archives:', 'satori' ).': '; } echo '<span>'.single_tag_title( '', false ).'</span>'; ?></h1>
        </div>
        <div class="clearleft"></div>
        <?php if(tag_description() != "" ) { ?>
        <div class="header-desc"><?php echo tag_description(); ?></div>
        <?php } else { } ?>
        <div class="clear"></div>
        <?php } ?>
        
    
        <?php if(is_category()) { /////////////////// Category page header ?> 
        <div id="blog-header">
            <h1><?php if ( function_exists( 'get_option_tree' ) && get_option_tree('hide_category') != "Yes" ) { echo __('Category', 'satori').': '; } echo single_cat_title( '' ); ?></h1>
        </div>
        <div class="clearleft"></div>
        <?php if(category_description() != "" ) { ?>
        <div class="header-desc"><?php echo category_description(); ?></div><?php } ?>
        <div class="clear"></div>
        <?php } ?>
        
        
        <?php if(is_search()) { /////////////////// Search results page header ?> 
        <div id="blog-header">
            <h1><?php _e('Search results for', 'satori'); echo ' "'; the_search_query(); echo '"'; ?></h1>
        </div>
        <div class="clearleft"></div>
        <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
            <div class="post search-result">
            	<div class="search-heading">
                	<h2>
                    	<a href="<?php the_permalink() ?>" title="<?php the_title(); ?>" rel="bookmark"><?php the_title(); ?></a>
                    </h2>
                </div>    
                <div class="search-excerpt">
					<?php $cont = strip_tags($post->post_content);
                    $excerpt = mb_substr($cont, 0, mb_stripos(wordwrap($cont, 240), "\n"));
                    echo $excerpt.'... <a href="'.get_permalink().'">'.__('read more', 'satori' ).' &rsaquo;</a>'; ?>
				</div>
            </div>
        <?php endwhile; endif; ?>
        <?php } else { ?>
		
		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
        	<?php if ( $tagp == 1 ) { ?>
        	<div class="portfolio-item">
            <?php } ?>            
			<?php get_template_part( 'content', get_post_format() ); ?>
            <?php if ( $tagp == 1 ) { ?>
        	</div>
            <?php } ?>
		<?php endwhile; else: ?>
		<div class="post">
			<div class="post-wrapper">
		<div class="no-results">
			<h4><?php _e('No Results', 'satori'); ?></h4>
			<p><?php _e('Nothing has been found for your query. Please try using the search form below of hit the "back" button on your browser.', 'satori'); ?></p>
			<?php get_search_form(); /* outputs the default Wordpress search form */ ?><div class="clearboth"></div>
		</div><!--no-results--></div></div>
		<?php endif; 
		} ?>
	
    <?php if ( function_exists('Pager_hook') ) { if( is_home() || is_archive() || is_search() ) { Pager_hook(); } } else { echo paginate_links(); } ?>
    		
	</div><!--#content-->
    
<?php if($tagp == 1) { echo ""; } else { get_sidebar(); } ?>
    
<?php get_footer(); ?>